# Visualization
TKService
Aspect

# Aspect_GenericColorMap Class Reference

This class defines a GenericColorMap object.
.

`#include <Aspect_GenericColorMap.hxx>`

Inheritance diagram for Aspect_GenericColorMap:

[legend]

## Public Member Functions

Standard_EXPORT | Aspect_GenericColorMap ()
| Creates a generic ColorMap . .
Standard_EXPORT void | AddEntry (const Aspect_ColorMapEntry &AnEntry)
| Adds an entry in the color map <me>. Warning: Raises BadAccess if the ColorMapEntry index is alreadry defined. .
Standard_EXPORT Standard_Integer | AddEntry (const Quantity_Color &aColor)
| Search an identical color entry in the color map <me> and returns the ColorMapEntry Index if exist. Or add a new entry and returns the computed ColorMapEntry index used. .
Standard_EXPORT void | RemoveEntry (const Standard_Integer AColorMapEntryIndex)
| Remove the ColorMapEntry at position index in the ColorMap Warning: Raises BadAccess if the index is not defined in the ColorMap. .
Standard_EXPORT Standard_Integer | FindColorMapIndex (const Standard_Integer AColorMapEntryIndex) const
| Returns the index in the ColorMap of the ColorMapEntry.Index() equal to <anentryindex>. Warning: Raises BadAccess if the index is not defined in the ColorMap. .
Standard_EXPORT const Aspect_ColorMapEntry & | FindEntry (const Standard_Integer AColorMapEntryIndex) const
| Returns the ColorMapEntry with ColorMapEntry.Index() equal to <anentryindex>. Warning: Raises BadAccess if the index is not defined in the ColorMap. .
Standard_EXPORT Standard_Integer | NearestColorMapIndex (const Quantity_Color &aColor) const
| Returns the index in the ColorMap of the nearest matching ColorMapEntry .
Standard_EXPORT const Aspect_ColorMapEntry & | NearestEntry (const Quantity_Color &aColor) const
| Returns the nearest ColorMapEntry that match aColor . .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

TColStd_DataMapOfIntegerInteger | myDataMap

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_GenericColorMap::Aspect_GenericColorMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_GenericColorMap::AddEntry | ( | const Quantity_Color & | aColor | ) | `[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT void Aspect_GenericColorMap::AddEntry | ( | const Aspect_ColorMapEntry & | AnEntry | ) |

Standard_EXPORT Standard_Integer Aspect_GenericColorMap::FindColorMapIndex | ( | const Standard_Integer | AColorMapEntryIndex | ) | const`[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT const Aspect_ColorMapEntry& Aspect_GenericColorMap::FindEntry | ( | const Standard_Integer | AColorMapEntryIndex | ) | const`[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT const Aspect_GenericColorMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_ColorMap.

Standard_EXPORT Standard_Integer Aspect_GenericColorMap::NearestColorMapIndex | ( | const Quantity_Color & | aColor | ) | const`[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT const Aspect_ColorMapEntry& Aspect_GenericColorMap::NearestEntry | ( | const Quantity_Color & | aColor | ) | const`[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT void Aspect_GenericColorMap::RemoveEntry | ( | const Standard_Integer | AColorMapEntryIndex | ) |

## Field Documentation

TColStd_DataMapOfIntegerInteger Aspect_GenericColorMap::myDataMap `[protected]`

The documentation for this class was generated from the following file:

- Aspect_GenericColorMap.hxx